<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.common.module.mapper.OauthConfigMapper">

    <select id="getConfigMapByMediaId" resultType="map">
       select
       app_id,
       secret
       from ctop_oauth_config
       where media_id = #{mediaId}
    </select>
    <select id="getListByMediaId" resultType="com.alibaba.fastjson.JSONObject">
       select
       app_id,
       secret
       from ctop_oauth_config
       where media_id = #{mediaId}
    </select>
</mapper>